<?php

namespace App\Repository;

use App\Entity\MemberCase;
use App\Entity\StaffNote;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @extends ServiceEntityRepository<StaffNote>
 */
class StaffNoteRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, StaffNote::class);
    }

    public function getOrderedNotes(MemberCase $case): array
    {
        return $this->createQueryBuilder('s')
            ->andWhere('s.memberCase = :case')
            ->setParameter('case', $case->getId()->toBinary())
            ->orderBy('s.date', 'DESC')
            ->getQuery()
            ->getResult();
    }

    //    /**
    //     * @return StaffNote[] Returns an array of StaffNote objects
    //     */
    //    public function findByExampleField($value): array
    //    {
    //        return $this->createQueryBuilder('s')
    //            ->andWhere('s.exampleField = :val')
    //            ->setParameter('val', $value)
    //            ->orderBy('s.id', 'ASC')
    //            ->setMaxResults(10)
    //            ->getQuery()
    //            ->getResult()
    //        ;
    //    }

    //    public function findOneBySomeField($value): ?StaffNote
    //    {
    //        return $this->createQueryBuilder('s')
    //            ->andWhere('s.exampleField = :val')
    //            ->setParameter('val', $value)
    //            ->getQuery()
    //            ->getOneOrNullResult()
    //        ;
    //    }
}
